%define name xosd
%define major 0

Summary:	X On Screen Display, displays XMMS status information
Name:		%{name}
Version:	0.7.0
Release:        3mdk
Source0:	%name-%version.tar.bz2
Patch:		xosd-0.7.0-new-libtool.diff.bz2
License:	GPL
Group:		Sound
BuildRoot: 	%_tmppath/%name-%version-%release-root
Buildrequires:  libxmms1-devel automake autoconf libtool >= 1.4
Requires:	xmms
URL:		http://www.ignavus.net/software.html

%description
This package contains an xmms plugin to display various things whenever they 
change (volume, track, paused/shuffle/repeat,...) in a TV set's on screen 
display fashion.

%package -n lib%{name}%{major}
Group:		System/Libraries
Summary:	Library for displaying information in an OSD

%description -n lib%{name}%{major}
This package contains the shared library of xosd, it is requires by programs 
that display it's output in a TV set's on screen display fashion.

%package -n lib%{name}%{major}-devel
Group:		Development/C
Summary:	Header files for developing programs using libxosd
Provides:	lib%{name}-devel = %{version}
Requires:	lib%{name}%{major} = %{version}

%description -n lib%{name}%{major}-devel
This package contains the header files you need to develop programs based on 
libxosd that display it's output in a TV set's on screen display fashion.


%prep
rm -rf $RPM_BUILD_ROOT

%setup -q
%patch -p1

%build

./configure --prefix=%_prefix

%make

%install
rm -rf $RPM_BUILD_ROOT

export XMMS_PLUGIN_DIR=$RPM_BUILD_ROOT%{_libdir}/xmms/General

%makeinstall XMMS_PLUGIN_DIR=$RPM_BUILD_ROOT%{_libdir}/xmms/General

%clean
rm -fr %buildroot

%post -n lib%{name}%{major} -p /sbin/ldconfig

%postun -n lib%{name}%{major} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc COPYING
%{_libdir}/xmms/General/libxmms_osd.so

%files -n lib%{name}%{major}
%defattr(-,root,root)
%doc COPYING
%{_libdir}/libxosd.so.*

%files -n lib%{name}%{major}-devel
%defattr(-,root,root)
%doc COPYING ChangeLog README AUTHORS
%{_bindir}/libxosd-config
%{_bindir}/osd_cat
%{_libdir}/libxosd.so
%{_libdir}/libxosd.la
%{_includedir}/*.h
%{_mandir}/man1/osd_cat.1*
%{_mandir}/man3/xosd.3*

%changelog
* Wed Aug 29 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.7.0-3mdk
- fixes from Gtz Waschk <waschk@linux-mandrake.com> :
	- split library package to fix rpmlint errors
	- added osd_cat to devel package
	- patched for new libtool

* Wed Apr 18 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.7.0-2mdk
- fixes from Gtz Waschk <waschk@linux-mandrake.com>

* Mon Apr 09 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.7.0-1mdk
- updated and fixed by Gtz Waschk <waschk@linux-mandrake.com> :
	- 0.7.0
	- added manpage
	- more macros

* Mon Mar 19 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.6.1-3mdk
- Add xosd.h.

* Thu Mar 01 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.6.1-2mdk
- fix buildrequires

* Tue Jan 16 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.6.1-1mdk
- updated by Gtz Waschk <waschk@linux-mandrake.com> :
	- 0.6.1
	- recreated Makefile patch

* Mon Jan 15 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.5.0-1mdk
- used srpm from Gtz Waschk <waschk@linux-mandrake.com> :
	- 0.5.0
	- removed patch
	- fixed installation
	- added call of ldconfig in post and postun

* Sat Jan 06 2001 David BAUDENS <baudens@mandrakesoft.com> 0.3.0-2mdk
- Adjust BuildRequires to new lib policy
- Spec clean up

* Thu Nov 23 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.3.0-1mdk
- used, once again, great srpm from  Gtz Waschk <waschk@linux-mandrake.com> :
	- initial Mandrake package
	- fixed Makefile
